function PrintGlyph(thing)
{	GlyphFont();
	Output(thing.glyph);
	CloseFontTag();
}




function PrintRatingIndexEntries()
{	indexarraylength=Index.byrating.length;
	for (x=0;x<indexarraylength;x++)
	{	PrintRatingIndexEntry(x);
		Output("<p>");
	};
}


function PrintShortName(obj)
{	Output(obj.name);
}


function PrintLongName(obj)
{	Output(obj.longname);
}

function PrintNameOrGlyph(obj)
{	
	if (UsingGlyphs==true)
	{	if (obj.glyph!=null)
		{	GlyphFont();
			if (GLYPHFONTFACE=="StarFont Sans")
			{	Output(" ");
			};
			Output(obj.glyph);
			if (GLYPHFONTFACE=="StarFont Sans")
			{	Output(" ");
			};
			CloseFontTag();
		}
		else
		{	if (GLYPHFONTFACE=="StarFont Sans")
			{	Output(" ");
				if (obj.objecttype!=ASPECTOBJECT)
				{	Output("<b><font size=+2>");
					//Output("<b>");
				};
			};
			Output(obj.name);
			if (GLYPHFONTFACE=="StarFont Sans")
			{	Output(" ");

				if (obj.objecttype!=ASPECTOBJECT)
				{	Output("</b></font>");
					//Output("</b>");
				};
			};
		};
	};
	if (UsingGlyphs==false)
	{	Output(" ");
		Output(obj.name); 
		Output(" ");
	};
}

function PrintPlanetAncestors(usenametype,usedividertype,beverbose)
{	useglyphsifpossible=true;
	Output("<center><H2>Ancestors Table</h2></center>");
	Output("<table border>");
	for (planet1=SU;planet1<=H12;planet1++)
	{	Output("<tr><th>");
		pla1=CelestialObj(planet1);
		PrintNameOrGlyph(pla1);
		if (beverbose==VERBOSE)
		{	Output(" in ");
			PrintNameOrGlyph(pla1.sign);
			if (pla1.type!=ANGLE && pla1.type!=HOUSE)
			{	Output(" in ");
				PrintNameOrGlyph(pla1.house);
			};
		};

		Output("<td>");
	
		PrintObjectArrayTwo(pla1.ancestors,ArrayLength,OUTPUT,usenametype,usedividertype,beverbose,useglyphsifpossible);
		Output("<tr>");
	}
	CloseTable();
}


function PrintPlanetLandlords(usenametype,usedividertype,beverbose)
{	useglyphsifpossible=true;
	Output("<center><H2>Landlords Table</h2></center>");
	Output("<table border>");
	for (planet1=SU;planet1<=H12;planet1++)
	{	Output("<tr><th>");
		pla1=CelestialObj(planet1);
		//Output(pla1.name);
		PrintNameOrGlyph(pla1);

		if (beverbose==VERBOSE)
		{	Output(" in ");
			PrintNameOrGlyph(pla1.sign);
			//Output(pla1.sign.name);
			if (pla1.type!=ANGLE && pla1.type!=HOUSE)
			{	Output(" in ");
				//Output(pla1.house.name);
				PrintNameOrGlyph(pla1.house);
			};
		};

	//	Output(" landlords: <td>");
		Output("<td>");

		PrintObjectArrayTwo(pla1.landlords,ArrayLength,OUTPUT,usenametype,usedividertype,beverbose,useglyphsifpossible);
		Output("<tr>");
	}
	CloseTable();
}






function OutputAspectData(planet1,planet2)
{	var nullaspfound=false;

	pla1=CelestialObj(planet1);
	pla2=CelestialObj(planet2);

	aspect=pla1.asp[planet2];
	//Alert(aspect);
	asp=AspectObj(aspect);

	PrintNameOrGlyph(pla1);
	PrintNameOrGlyph(asp);
	PrintNameOrGlyph(pla2);

	Output("",BRAK);
	

	Output(pla1.aspdeg[planet2]);
	Output("&deg; ");
	Output(pla1.aspmin[planet2]);
	Output("'");

	Output("",BRAK);

	PrintLongName(asp);

	Output("",BRAK);

	Output(pla1.asprating[planet2]);

}


