function GetRuler(thing1sign)
{	var res;
	if (thing1sign==ARI)	{	res=MA;	};
	if (thing1sign==TAU)	{	res=VE;	};
	if (thing1sign==GEM)	{	res=ME;	};
	if (thing1sign==CAN)	{	res=MO;	};
	if (thing1sign==LEO)	{	res=SU;	};
	if (thing1sign==VIR)	{	res=ME;	};
	if (thing1sign==LIB)	{	res=VE;	};
	if (thing1sign==SCO)
	{	if (UsingAncientRulers==false){	res=PL;	};
		if (UsingAncientRulers==true)	{	res=MA;	};
	};
	if (thing1sign==SAG)	{	res=JU;	};
	if (thing1sign==CAP)	{	res=SA;	};
	if (thing1sign==AQU)
	{	if (UsingAncientRulers==false){	res=UR;	};
		if (UsingAncientRulers==true)	{	res=SA;	};
	};
	if (thing1sign==PIS) 
	{	if (UsingAncientRulers==false){	res=NE;	};
		if (UsingAncientRulers==true)	{	res=JU;	};
	};
	return res;
}




function TrackLoops(arr, planet1, rulercounter, rulr, nextrulr)
{	var loopruler;
	for (loopcounter=0;loopcounter<=rulercounter;loopcounter++)
	{	loopruler=(LoopTracker[loopcounter]);
		
		if (loopruler==nextrulr)
		{	if (rulr==nextrulr)
			{	LoopTracker[rulercounter+1]=FinalDispositor;
				arr[rulercounter+1]=FinalDispositor;
				LoopTracker[rulercounter+2]=nextrulr;
				arr[rulercounter+2]=CelestialObj(nextrulr);
				return FinalDispositor;
			};
			if (rulr!=nextrulr)
			{	LoopTracker[rulercounter+1]=LoopBegins;
				LoopTracker[rulercounter+2]=nextrulr;
				arr[rulercounter+1]=LoopBegins;
				arr[rulercounter+2]=CelestialObj(nextrulr);
				return LoopBegins;
			}

		}
	}
	return false;
}



function GetParentsOfObjects()
{	var planet1; var rulr; var planet1sign; var rulerstring;
	for (planet1=SU;planet1<=H12;planet1++)
	{	pla1=CelestialObj(planet1);
		planet1sign=pla1.sign.number;
		rulr=GetRuler(planet1sign);
		rulr=CelestialObj(rulr);
		pla1.parent=rulr;
		pla1.ancestors[RulerPointer]=rulr;
	}
}



function GetLandlordsOfObjects()
{	var planet1; var rulr; var planethousesign; var planethouse; var rulerstring; x=0; 
	for (planet1=SU;planet1<=H12;planet1++)
	{	
		pla1=CelestialObj(planet1);
		planethouse=pla1.house;
		planethousesign=pla1.house.sign.number;
		rulr=GetRuler(planethousesign);
		rulr=CelestialObj(rulr);
		pla1.landlord=rulr;
		pla1.landlords[RulerPointer]=rulr;
	}

}


function GetObjectAncestorsList()
{	var planet1; var rulercounter; var rulr; var nextrulr; var rulrsign; 
	for (planet1=SU;planet1<=H12;planet1++)
	{	
		for (rulercounter=0;rulercounter<MAXRULERS;rulercounter++)
		{	pla1=CelestialObj(planet1);
			rulr=pla1.ancestors[rulercounter];

			rulrnum=rulr.number;
	
			LoopTracker[rulercounter]=rulrnum;

			nextrulr=rulr.parent;
			nextrulrnum=nextrulr.number;
			pla1.ancestors[(rulercounter+1)]=nextrulr;

			loopfound=TrackLoops(pla1.ancestors,planet1,rulercounter,rulrnum,nextrulrnum);
			if (loopfound==FinalDispositor || 								loopfound==LoopBegins)
			{	pla1.numofancestors=(pla1.ancestors.length)-2;
				break;			
			}
		}
	}
}


function GetObjectLandlordsList()
{	var planet1; var curruler; var rulr; var nextrulr; var rulrsign; 
	for (planet1=SU;planet1<=H12;planet1++)
	{	
		for (rulercounter=0;rulercounter<MAXRULERS;rulercounter++)
		{	pla1=CelestialObj(planet1);
			rulr=pla1.landlords[rulercounter];
			rulrnum=rulr.number;
			LoopTracker[rulercounter]=rulrnum;

			nextrulr=rulr.landlord;
			nextrulrnum=nextrulr.number;
			pla1.landlords[(rulercounter+1)]=nextrulr;

			loopfound=TrackLoops(pla1.landlords,planet1,rulercounter,rulrnum,nextrulrnum);
			if (loopfound==FinalDispositor || 								loopfound==LoopBegins)
			{	pla1.numoflandlords=(pla1.landlords.length)-2;
				break;			
			}
		}
	}

}

